<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use Filament\Forms\Components\Select;

class RateSelect extends Select
{
    protected static array $modelIdCache = [];

    public static function create(): static
    {
        return parent::make('rate')
            ->label('نرخ')
            ->options([
                1 => '1',
                2 => '2',
                3 => '3',
                4 => '4',
                5 => '5',
            ])
            ->searchable()
            ->columnSpan(3);
    }
}
